Subject: [MIB-DOCTORS] IfTypeReferences - iftype=46 - hssi

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sat, 5 Aug 2006 01:24:22 +0200

W.r.t.

> > > 8. The row for ifType=46 is incorrect.  RFC 2320 is not a reference for
> > > 'hssi'; the closest to a reference I can find for HSSI is RFC 1662.
> > 
> > I am NOT OK to change it to RFC1662, because I doubt it helps anyone, does it?
> > Maybe better to leave it open for now.
>  
> OK.
> 

I found:
  http://www.cisco.com/univercd/cc/td/doc/cisintwk/ito_doc/hssi.htm

So is it a Cisco proprietary protocol? 
Is there a cisco rporpietary MIB for it?

I guess I could point to above web page, no?

Bert

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mib-doctors

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 7 Aug 2006 12:02:19 +0200

OK, so now I have this entry:

  !--label-->     <c>hssi</c>
  !--ifType-->    <c>46</c>
  !--MIBoid-->    <c>none known</c> 
  !--MIBmodule--> ><c>none known</c>
  !--Reference--> <c><eref target='http://www.cisco.com/univercd/cc/td/doc/cisintwk/ito_doc/hssi.htm>
                   Cisco HSSI?</eref>.
                  </c>
  !--comment-->   <c>High Speed Serial Interface
                    <vspace blanklines='0' />
                     We do not know of any standards-based use of this ifType.
                  </c>

Unless I hear other updates/suggestions, that is what it will be.

Bert
> -----Original Message-----
> From: Keith McCloghrie [mailto:[email-masked]]
> Sent: Saturday, August 05, 2006 14:13
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: IfTypeReferences - iftype=46 - hssi
> 
> 
> 
> I know no more than that webpage says, but I don't think it matters.
> 
> I can find two types of references to HSSI in Cisco MIBs.:
> 
> 1) a few of the enumerated values for a "type of line card" object;
>    this object was in a table INDEX-ed by a clone of ifIndex.  These
>    would have had ifType=hssi(46).  There is no MIB specific to these
>    line cards.
> 2) a MIB, defined by a company later acquired by Cisco, which has no
>    mention of anything to do with the ifTable, and which defines its
>    own objects for things like line speed.  I doubt these ever had
>    ifTable entries, and so I don't think you should reference 
> this MIB.
> 
> I guess.
> Keith.

 [email-masked]; Mon, 07 Aug 2006 06:02:27 -0400
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: Keith McCloghrie <[email-masked]>
Date: Mon, 7 Aug 2006 12:02:19 +0200 
Cc: [email-masked]
Subject: [MIB-DOCTORS] RE: IfTypeReferences - iftype=46 - hssi

OK, so now I have this entry:

  !--label-->     <c>hssi</c>
  !--ifType-->    <c>46</c>
  !--MIBoid-->    <c>none known</c> 
  !--MIBmodule--> ><c>none known</c>
  !--Reference--> <c><eref target='http://www.cisco.com/univercd/cc/td/doc/cisintwk/ito_doc/hssi.htm>
                   Cisco HSSI?</eref>.
                  </c>
  !--comment-->   <c>High Speed Serial Interface
                    <vspace blanklines='0' />
                     We do not know of any standards-based use of this ifType.
                  </c>

Unless I hear other updates/suggestions, that is what it will be.

Bert
> -----Original Message-----
> From: Keith McCloghrie [mailto:[email-masked]]
> Sent: Saturday, August 05, 2006 14:13
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: IfTypeReferences - iftype=46 - hssi
> 
> 
> 
> I know no more than that webpage says, but I don't think it matters.
> 
> I can find two types of references to HSSI in Cisco MIBs.:
> 
> 1) a few of the enumerated values for a "type of line card" object;
>    this object was in a table INDEX-ed by a clone of ifIndex.  These
>    would have had ifType=hssi(46).  There is no MIB specific to these
>    line cards.
> 2) a MIB, defined by a company later acquired by Cisco, which has no
>    mention of anything to do with the ifTable, and which defines its
>    own objects for things like line speed.  I doubt these ever had
>    ifTable entries, and so I don't think you should reference 
> this MIB.
> 
> I guess.
> Keith.

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 14 Aug 2006 16:44:44 +0200

OK, I removed the extra comment line.

Bert

> Sent: Monday, August 07, 2006 13:48
> To: [email-masked]
> >   !--Reference--> <c><eref 
> target='http://www.cisco.com/univercd/cc/td/doc/cisintwk/ito_d
> oc/hssi.htm>
> >                    Cisco HSSI?</eref>.
> >                   </c>
> To be picky, I believe that an ifTable row with ifType=46 qualifies as
> a "standards-based use of this ifType", i.e., that the 
> reference #1 that
> I listed (below) is/was a "standards-based use of this 
> ifType", because
> it did have an ifTable row with ifType=46 (sorry if I didn't make that
> clear before).  I think what you're trying to say is:
> 
>      "No known media-specific (extension) MIB for this ifType value."
> 
> But I don't see why you need to add this as a comment because it means
> the same as:
>  
> and if it's needed as a comment for ifType=46, then it's 
> probably needed
> as a comment for many other ifType values.  So, I would just 
> delete it.
> 
> [Note: I put "(extension)" in parenthesis as a means to try 
> to refer to
> both RFC-2863/section 4's term: "media-specific MIB", and to 
> make it clear
> that it's reference to a MIB extending the ifTable.]
> 
> Keith.
> 
>